/*!
 * Pfarrplaner
 *
 * @package Pfarrplaner
 * @author Christoph Fischer <chris@toph.de>
 * @copyright (c) Christoph Fischer, https://christoph-fischer.org
 * @license https://www.gnu.org/licenses/gpl-3.0.txt GPL 3.0 or later
 * @link https://codeberg.org/pfarr.tools/pfarrplaner
 * @version git: $Id$
 *
 * Sponsored by: Evangelischer Kirchenbezirk Balingen, https://www.kirchenbezirk-balingen.de
 *
 * Pfarrplaner is based on the Laravel framework (https://laravel.com).
 * This file may contain code created by Laravel's scaffolding functions.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*--------------------------------------------------------------
# Navigation Menu
--------------------------------------------------------------*/

/**
* Desktop Navigation
*/
.navbar {
  padding: 0;

  ul {
    margin: 0;
    padding: 0;
    display: flex;
    list-style: none;
    align-items: center;
  }

  li {
    position: relative;
  }

  a, a:focus {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 0 10px 30px;
    font-size: 15px;
    font-weight: 500;
    font-family: $font-secondary;
    color: rgba($white, .7);
    white-space: nowrap;
    transition: 0.3s;

    i {
      font-size: 12px;
      line-height: 0;
      margin-left: 5px;
    }
  }

  > ul > li > a:before {
    content: "";
    position: absolute;
    width: 0;
    height: 2px;
    bottom: 3px;
    left: 30px;
    background-color: $primary;
    visibility: hidden;
    width: 0px;
    transition: all 0.3s ease-in-out 0s;
  }

  a:hover:before, li:hover > a:before, .active:before  {
    visibility: visible;
    width: 25px;
  }

  a:hover, .active, .active:focus, li:hover > a  {
    color: #fff;
  }

  .dropdown {

    ul {
      display: block;
      position: absolute;
      left: 30px;
      top: calc(100% + 30px);
      margin: 0;
      padding: 10px 0;
      z-index: 99;
      opacity: 0;
      visibility: hidden;
      background: #fff;
      box-shadow: 0px 0px 30px rgba(127, 137, 161, 0.25);
      transition: 0.3s;
       border-radius: 0;

      li {
        min-width: 200px;
      }

      a {
        padding: 10px 20px;
        font-size: 14px;
        font-weight: 500;
        text-transform: none;
        color: darken($secondary, 40);
        i {
          font-size: 12px;
        }
      }

      a:hover, .active:hover, li:hover > a {
        color: $primary;
      }

    }

    &:hover > ul {
      opacity: 1;
      top: 100%;
      visibility: visible;
    }

  }

  .dropdown .dropdown {

    ul {
      top: 0;
      left: calc(100% - 30px);
      visibility: hidden;
    }

    &:hover > ul {
      opacity: 1;
      top: 0;
      left: 100%;
      visibility: visible;
    }

    @media (max-width: 1366px) {
      ul {
        left: -90%;
      }

      &:hover > ul {
        left: -100%;
      }
    }
  }

}

/**
* Mobile Navigation
*/
.mobile-nav-toggle {
  color: #fff;
  font-size: 28px;
  cursor: pointer;
  display: none;
  line-height: 0;
  transition: 0.5s;
}

@media (max-width: 991px) {

  .mobile-nav-toggle {
    display: block;
  }

  .navbar ul {
    display: none;
  }

}

.navbar-mobile {
  position: fixed;
  overflow: hidden;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  background: rgba(darken($secondary, 44), 0.9);
  transition: 0.3s;
  z-index: 999;

  .mobile-nav-toggle {
    position: absolute;
    top: 15px;
    right: 15px;
  }

  ul {
    display: block;
    position: absolute;
    top: 55px;
    right: 15px;
    bottom: 15px;
    left: 15px;
    padding: 10px 0;
     border-radius: 0;
    background-color: #fff;
    overflow-y: auto;
    transition: 0.3s;
  }

  > ul > li > a:before {
    left: 20px;
  }

  a, a:focus {
    padding: 10px 20px;
    font-size: 15px;
    color: darken($secondary, 30);
  }

  a:hover, .active, li:hover > a  {
    color: $secondary;
  }

  .getstarted, .getstarted:focus {
    margin: 15px;
  }

  .dropdown {

    ul {
      position: static;
      display: none;
      margin: 10px 20px;
      padding: 10px 0;
      z-index: 99;
      opacity: 1;
      visibility: visible;
      background: #fff;
      box-shadow: 0px 0px 30px rgba(127, 137, 161, 0.25);

      li {
        min-width: 200px;
      }

      a {
        padding: 10px 20px;

        i {
          font-size: 12px;
        }
      }

      a:hover, .active:hover, li:hover > a {
        color: $primary;
      }

    }

    > .dropdown-active {
      display: block;
    }

  }

}
